summaryrefslogtreecommitdiff
path: root/source4/script/tests/win/wintest_base.sh
diff options
context:
space:
mode:
authorBrad Henry <brad@samba.org>2007-02-21 22:50:55 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:48:44 -0500
commit48b0dabdbaf7538e0896dd137eec5cc97b50a59d (patch)
tree773d9d14a806cd27984bed5d05780dc69f05f96f /source4/script/tests/win/wintest_base.sh
parentf487c24a79223c295afc60e05a0fac9794c3a22d (diff)
downloadsamba-48b0dabdbaf7538e0896dd137eec5cc97b50a59d.tar.gz
samba-48b0dabdbaf7538e0896dd137eec5cc97b50a59d.tar.bz2
samba-48b0dabdbaf7538e0896dd137eec5cc97b50a59d.zip
r21494: Fix 'make wintest' to support command-line changes to 'vm-get-ip.pl' and the revertsnapshot() shell function.
Restructure existing tests to work with the recent build farm changes. Added windows DC testing to 'make wintest'. Some improvements and generalization to the way errors are handled. (This used to be commit de9687404e802d7e7629c9d03f496d3c5bd30397)
Diffstat (limited to 'source4/script/tests/win/wintest_base.sh')
-rwxr-xr-xsource4/script/tests/win/wintest_base.sh26
1 files changed, 17 insertions, 9 deletions
diff --git a/source4/script/tests/win/wintest_base.sh b/source4/script/tests/win/wintest_base.sh
index fa436a4af8..b12d2923f7 100755
--- a/source4/script/tests/win/wintest_base.sh
+++ b/source4/script/tests/win/wintest_base.sh
@@ -20,9 +20,19 @@ password="$3"
domain="$4"
shift 4
+export SMBTORTURE_REMOTE_HOST=$server
+
base_tests="BASE-UNLINK BASE-ATTR BASE-DELETE BASE-TCON BASE-OPEN BASE-CHKPATH"
all_errs=0
+err=0
+
+on_error() {
+ errstr=$1
+
+ all_errs=`expr $all_errs + 1`
+ restore_snapshot $errstr "$VM_CFG_PATH"
+}
for t in $base_tests; do
test_name="$t / WINDOWS SERVER"
@@ -32,23 +42,21 @@ for t in $base_tests; do
if [ $err_rtn -ne 0 ]; then
# If test setup fails, load VM snapshot and skip test.
- restore_snapshot "\n$test_name setup failed, skipping test."
+ on_error "\n$test_name setup failed, skipping test."
else
echo -e "\n$test_name setup completed successfully."
- old_errs=$all_errs
- testit "$test_name" $SMBTORTURE_BIN_PATH \
- -U $username%$password \
+ $SMBTORTURE_BIN_PATH -U $username%$password \
-W $domain //$server/$SMBTORTURE_REMOTE_SHARE_NAME \
- $t || all_errs=`expr $all_errs + 1`
- if [ $old_errs -lt $all_errs ]; then
- restore_snapshot "\n$test_name failed."
+ $t || err=1
+ if [ $err -ne 0 ]; then
+ on_error "\n$test_name failed."
else
echo -e "\n$test_name CLEANUP PHASE"
remove_share_test
if [ $err_rtn -ne 0 ]; then
# If cleanup fails, restore VM snapshot.
- restore_snapshot "\n$test_name removal failed."
+ on_error "\n$test_name removal failed."
else
echo -e "\n$test_name removal completed successfully."
fi
@@ -56,4 +64,4 @@ for t in $base_tests; do
fi
done
-testok $0 $all_errs
+exit $all_errs